blog

     รู้หรือไม่เว็บไซต์ที่ทำด้วย CMS ต่างๆ ไม่ว่าจะเป็น Joomla, Wordpress, Drupla ฯลฯ นั้นต้องมีการอัพเดทเวอร์ชั่นอยู่เสมอ เพราะเป็นการพัฒนาระบบและแก้ไขปัญหา แก้ไขบัคต่างๆ และที่สำคัญคือ ป้องการถูก Hacker เข้า Hack เว็บไซต์ของเรานั้นเอง

ทางผู้พัฒนาระบบเองก็จะพัฒนาแก้ไขปัญหาในส่วนต่างๆ ต่อไป ในส่วนเวอร์ชั่นที่ล้าหลัง หรือนานแล้วทางผู้พัฒนาก็จะระบุช่วงเวลาที่จะไม่ได้พัฒนาในเวอร์ชั่นนั้นๆ ต่อ

 

     ดังนั้นการอัพเดทเวอร์ชั่นของจูมล่าเอง หรือ อัพเดทส่วนเสริม (Extensions) จึงมีความจำเป็นมากๆ เพราะถ้าเราไม่อัพเดทเลย แล้วมาอัพข้ามเวอร์ชั่น อาจจะทำได้ไม่ เพราะส่วนเสริมที่สามารถใช้ได้ในแต่ เวอร์ชั่นอาจมีการเปลี่ยนไป
หรือส่วนเสริมบางตัวอาจไม่มีการผลิตมาเพื่อรองรับเวอร์ชั่นที่อัพเดทต่อก็เป็นได้

Version Update

     ถามว่า ถ้าไม่อัพเดทเลยจะถึงขั้นเว็บใช้งานไม่ได้เลยมั้ย ก็ต้องตอบว่าไม่ถึงขนาดนั้น ปัจจุบันก็มีบางเว็บที่ยังรันด้วย จูมล่า 1.5 อยู่ ก็มี แต่ในบางส่วนอาจจะเกิดการ Error ขึ้นมาให้เห็น เช่น เว็บนี้ถูกแฮ็คเข้าวางโค้ด วิธีแก้ เราเลือกจะทำใหม่เนื่องด้วยเว็บนี้ทำด้วย จูมล่า 2.5 ซึ่งปัจจุบันเป็นเวอร์ชั่นจูมล่า 3.9 แล้ว ลูกค้าก็ต้องเสียค่าทำเว็บใหม่ แต่ถ้าลูกค้าอัพเดทเวอร์ชั่นเรื่อยๆ ก็จะไม่เกิดปัญหานี้

Version Update 2

Version Update 1

ส่วนเว็บนี้เกิดจากส่วนเสริมไม่ได้รับการอัพเดททำให้การแสดงผลผิดเพี้ยนไป

Version Update 3

ที่นี้ก็เห็นดังตัวอย่างแล้วว่า ควรจะทำการอัพเดททั้งในตัวจูมล่าเอง และ ส่วนเสริม เพื่อให้เว็บไซต์ใช้งานได้ตามปกตินั้นเอง

     

     ซึ่งก่อนอัพเดททุกครั้งควรทำการ Backup ให้เรียบร้อยก่อนนะคะ เพราะถ้าเกิด Error จะได้แก้ไขได้ ส่วนถ้าลูกค้า ไม่สะดวกทำเองก็สามารถดูรายละเอียดการรับดูแลเว็บไซต์ ของเราได้ที่ https://www.webdesign-creative.com/web-maintenance
ทางเรารับอัพเดทเนื้อหา รวมถึงรับอัพเดทเวอร์ชั่น และทำการสำรองข้อมูลให้ลูกค้าด้วยนะคะ